Subject: Re: bug#13848: Statically linking guile-2.0.

From: Jan Schukat <[email-masked]>
Date: Tue, 05 Mar 2013 16:44:55 +0100

Ok, tried that on linux.

autoreconf demanded automake 1.12, which isn't available via .debs on 
ubuntu yet, so I installed that from the sources.

after that I get this error message:

configure.ac:873: warning: macro 'AM_GNU_GETTEXT' not found in library
autoreconf: running: /usr/bin/autoconf --force
configure.ac:900: error: possibly undefined macro: AM_GNU_GETTEXT
       If this token and others are legitimate, please use m4_pattern_allow.
       See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1

I simply don't know enough about automake internals to even know where 
to begin to go about such errors. What library would such macros be 
defined in? And if I knew that, would I even want to do any changes 
there? Or is that generated from one of the dozens of scripts in the 
auto toolchain? I wouldn't even know where one might apply that 
m4_pattern_allow. What I can gather it could also just be a sign of a 
syntax error in the configure.ac.

Regards

Jan Schukat

On 03/05/2013 11:22 AM, Ludovic Courtès wrote:
> Hi,
>
> Sorry for the delay.
>
> Jan Schukat <[email-masked]> skribis:
>
>> ice-9/boot-9.scm:106:20: In procedure #<procedure a434b00 at
>> ice-9/boot-9.scm:97:6 (thrown-k . args)>:
>> ice-9/boot-9.scm:106:20: In procedure dynamic-pointer: Symbol not
>> found: scm_init_popen
>> make[3]: *** [ice-9/popen.go] Error 1
> I see: the (ice-9 popen) module depends on functionality that is missing
> when building with --disable-posix, so it cannot be built.  This is a
> bug: Guile shouldn’t try to build ice-9/popen.scm when --disable-posix
> is used.
>
> Regarding file names on MinGW, Andy Wingo did a lot of work recently to
> integrate them correctly.  This will be in Guile 2.0.8, but in the
> meantime could you try building Guile’s ‘stable-2.0’ branch from Git?
>
>    git clone git://git.sv.gnu.org/guile.git
>    git checkout stable-2.0
>    autoreconf -vfi
>    ./configure
>    make && make check
>
> Thanks in advance,
> Ludo’.